<mat-label>{{ label }}</mat-label>
<mat-form-field appearance="fill">
    <input matInput [placeholder]="label" [(ngModel)]="value" (ngModelChange)="onChange(value)" [type]="type">
    <mat-icon *ngIf="prefixIcon" matPrefix>{{prefixIcon}}</mat-icon>
</mat-form-field>